@import url('https://fonts.googleapis.com/css2?family=Averia+Libre:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700&family=Nunito:ital,wght@0,200..1000;1,200..1000&display=swap');

:root {
    --primary: #346D91;
    --secondary: #FFC600;
    --secondary-100: #FFFFCC;
    --secondary-200: #FFE278;
    --primary-100: #99D4f9;
    --primary-200: #69a4c9;
    --primary-400: #144D71;
    --primary-600: #0d2636;
    --primary-800: #0a1821;
    --secondary-400: #DFA600;
    --secondary-600: #BF8600;
    --secondary-800: #9F6600;
    --secondary-dark: #33220A;
    --dark: #4e4e4e;
    --light: #fafafa;
    --white: #ffffff;
    --black: #000000;
    --error-200: #f39582;
    --error: #c36582;
    --error-400: #933552;
    --error-600: #631522;
    --error-800: #3f0c14;      
    --fox-height: clamp(100px,15dvh+1em,600px);
    --ff-main: "Nunito", 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    --ff-accent: "Averia Libre", 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body.light {
    --secondary: #346D91;
    --primary: #FFC600;
    --primary-800: #FFFFCC;
    --primary-600: #FFE278;
    --secondary-800: #99D4f9;
    --secondary-600: #69a4c9;
    --secondary-400: #144D71;
    --secondary-200: #0d2636;
    --secondary-100: #0a1821;
    --primary-400: #DFA600;
    --primary-200: #BF8600;
    --primary-100: #9F6600;
    --secondary-dark: #C4DFED;
    --light: #4e4e4e;
    --dark: #fafafa;
    --white: #000000;
    --black: #ffffff;
}
@media (prefers-color-scheme: light) {
  :root {
    --secondary: #346D91;
    --primary: #FFC600;
    --primary-800: #FFFFCC;
    --primary-600: #FFE278;
    --secondary-800: #99D4f9;
    --secondary-600: #69a4c9;
    --secondary-400: #144D71;
    --secondary-200: #0d2636;
    --secondary-100: #0a1821;
    --primary-400: #DFA600;
    --primary-200: #BF8600;
    --primary-100: #9F6600;
    --secondary-dark: #C4DFED;
    --light: #4e4e4e;
    --dark: #fafafa;
    --white: #000000;
    --black: #ffffff;
  }
  body.light {
    --primary: #346D91;
    --secondary: #FFC600;
    --secondary-100: #FFFFCC;
    --secondary-200: #FFE278;
    --primary-100: #99D4f9;
    --primary-200: #69a4c9;
    --primary-400: #144D71;
    --primary-600: #0d2636;
    --primary-800: #0a1821;
    --secondary-400: #DFA600;
    --secondary-600: #BF8600;
    --secondary-800: #9F6600;
    --secondary-dark: #33220A;
    --dark: #4e4e4e;
    --light: #fafafa;
    --white: #ffffff;
    --black: #000000;
  }
}
html {
    font-size: 20px;
    font-family: var(--ff-main);
}
body {
    background: radial-gradient(var(--primary-600), var(--primary-800));
    height: 100dvh;
    color: var(--light);
   transition: all 0.4s ease-in;
}
textarea,input {
    font-size: 20px;
    font-family: var(--ff-main);
    color: var(--light);
}
header {
    width: 100%;
    height: 90px;
    position: fixed;
    top: 0;
    z-index: 8;
}
a {
    text-decoration: none;
    color: var(--secondary-400);
}
p {
  margin-bottom: 20px;
}
h1, h2, h3 {
    font-family: var(--ff-accent);
}
.logolink {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 25;
}
.logolink img {
    height: 90px;
    max-height: 90px;
}

h1 {
    text-wrap: balance;
    text-align: center;
    margin: 0 auto 35px auto;
    transform: skewY(-5.5deg);
    color: var(--secondary);
    font-size: clamp(3em,calc(4vw + 1em),5em);
    -webkit-filter: drop-shadow( 2px 2px 1px var(--primary-600));
    filter: drop-shadow( 2px 2px 1px var(--primary-600));
}
h2 {
    font-size: clamp(1.5em,calc(3vw + 1em),2.5em);
}
h3 {
    font-size: clamp(1.3em,calc(1vw + 1em),1.6em);
    color: var(--secondary-100);
}
main {
  width: 100%;
  max-width: 100%;
  height: 100%;
  max-height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;  
}
.containerOuter {
    width: min(730px,90vw);
    padding: 15px;
    position: relative;
    background: linear-gradient(to right, var(--secondary), var(--secondary-400));
    box-shadow: 0 0 30px var(--primary-800); 
    border-radius: 35px;
}
.container {
  background: radial-gradient(var(--primary-400), var(--primary-600));
  padding: 15px 15px 50px 15px;
  border-radius: 30px;
  position: relative;
}
.overlayLinkCheckbox {
    display: none;
}
.overlayLink {
    color: var(--secondary-400);
    cursor: pointer;
}
.overlayLink:hover {
    color: var(--secondary);
}
.overlayLinkBlur {
    display: none;
    z-index: 30;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    backdrop-filter: blur(10px);
    transition: 0.75s ease;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}
.overlayTermsPriv {
    position: relative;
    inset: auto;
    width: min(800px,100vw);
    height: min(1000px,100dvh);
    border-radius: 15px;
    background-color: var(--primary-400);
    box-shadow: 0 0 20px var(--primary-800);
}
.overlayTermsPriv .close-btn {
    position: absolute; 
    inset: 10px 10px auto auto;
    width: 80px;
    height: 1.4em;
    line-height: 1.4em;
    vertical-align: center;
    text-align: center;
    background-color: var(--secondary-400);
    color: var(--primary-800);
    border-radius: 15px;
    font-family: var(--ff-accent);
    cursor: pointer;
}
.overlayTermsPriv h2 {
    position: absolute;
    inset: 20px auto auto 20px;
    width: 60%;
    height: 1.5em;
    font-size: 1.3em;
    color: var(--secondary);
}   
.overlayTermsPriv .legalContent {
    padding: 15px;
    position: absolute;
    inset: 4em auto auto 20px;
    width: 90%;
    height: 80%;
    overflow-y: auto;
    background-color: var(--primary-600);
    border-radius: 15px;
}
.legalContent h3 {
    font-size: 1.3em;
    margin-bottom: 0.8em;
}
.legalContent p {
    margin-bottom: 1.3em;
}
.touCenter {
  text-align: center;
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
}
#privLink:checked ~ #privOverlay, #touLink:checked ~ #touOverlay {
    display: flex;
}
input, textarea {
    outline: none;
}
.inputtext {
    position: relative;
    margin-top: 25px;
    height: 2.8em;
    width: min(400px,100%);
    padding: 0 15px;
    z-index: 4;
}
.inputtext input {
    position: absolute;
    left: 0;
    background: transparent;
    height: 2.5em;
    padding: 0 10px;
    transition: 0.1s ease;
    border-radius: 30px;   
    width: 100%;
    border: 2px solid var(--primary);
    color: var(--primary-200);
    z-index: 5;
}
.inputtext label {
    position: absolute;
    left: 18px;
    padding: 10px;
    margin: 0 10px;
    background-color: transparent;
    border-radius: 8px;
    color: var(--secondary-200);
    transition: 0.2s ease;
   z-index: 4;
}
.inputtext input:focus, .inputtext input:valid, .inputtext textarea:focus, .inputtext textarea:valid {
    border-color: var(--secondary);
    color: var(--secondary-200);
}
.inputtext input:focus + label, .inputtext input:valid + label, .inputtext textarea:focus + label, .inputtext textarea:valid + label {
    color: var(--primary-600);
    background-color: var(--secondary-400);
    height: 30px;
    line-height: 30px;
    padding: 0 12px;
    transform: translate(-15px,-16px) scale(0.88);
    z-index: 6;
}
#lsubmit {
    width: max(250px,50%);
    background-color: var(--secondary);
    color: var(--primary-600);
    padding: 10px;
    border-radius: 15px;
    margin: 0 auto;
    border: none;
    cursor: pointer;
    font-weight: 700;
}
#lsubmit:focus {
    background-color: var(--primary-400);
    color: var(--primary-200);
    text-shadow: -1px -1px 1px var(--dark);
    border: 2px solid var(--secondary-800);
}

.container h2 {
    color: var(--secondary-400);
    transform: rotate(5deg);
    margin-top: 50px;
    margin-bottom: 30px;
    text-align: center;
}
.container form {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    background: none;
}
.container form input, .container form input:focus, .container form textarea {
    box-shadow: 0 0 100px var(--primary-400);
}
.fplink {
  z-index: 2;
}
.container form input#lsubmit {
    margin: 10px auto 30px auto;
    z-index: 2;
}
.loginside {
    width: 100%;
}
.errorMessageContainer {
    display: flex;
    position: absolute;
    left: 8px;
    top: 10px;
    z-index: 4;
}
.errorMessageToggle {
    width: 30px;
    height: 30px;
    cursor: pointer;
}
.errorMessageToggle svg {
    width: 30px;
    height: 30px;
}
.errorMessageText {
    display: none;
    border: 1px solid var(--error-400);
    background-color: var(--error-800);
    padding: 0 5px;
    font-size: 0.8em;
    line-height: 1.2em;
    transition: 0.5s ease;
    border-radius: 3px;
}
.errorMessageLabel {
    background-color: var(--error-400);
    color: var(--light);
}
.errorMessageField {
    border: 1px solid var(--error-400);
    background-color: var(--error-800);
    color: var(--light);
}
.errorMessageToggle:hover + .errorMessageText {
    display: block;
}
.successMessage {
    border: 2px solid var(--secondary-200);
    box-shadow: 0 0 15px var(--secondary);
    background: linear-gradient(var(--primary-400),var(--primary-600));
    color: var(--light);
    width: 100%;
    padding: 15px;
    font-size: 0.8em;
    margin-bottom: 25px;
}
.successMessageForm {
    display: none;
}
.gdprcheck {
  width: 100%;
  display: grid;
  grid-template-columns: 1.1em auto;
  margin-bottom: 15px;
  margin-top: 35px;
  gap: 10px;
}
.gdprchecktext {
  text-align: left;
  vertical-align: middle;
  align-items: center;
}
.gdprcheckbox {
  -webkit-appearance: none;
  appearance: none;
  background-color: var(--primary-600);
  margin: 0;

  font: inherit;
  color: var(--secondary);
  width: 1.2em;
  height: 1.2em;
  border: 2px solid var(--secondary-400);
  border-radius: 0.15em;
  transform: translateY(-0.075em);

  display: grid;
  place-content: center;
}
.gdprcheckbox::before {
  content: "";
  width: 0.65em;
  height: 0.65em;
  clip-path: polygon(14% 44%, 0 65%, 50% 100%, 100% 16%, 80% 0%, 43% 62%);
  transform: scale(0);
  transform-origin: bottom left;
  transition: 120ms transform ease-in-out;
  box-shadow: inset 1em 1em var(--secondary);
  background-color: CanvasText;
}
.gdprcheckbox:checked::before {
  transform: scale(1);
}
.lightContainer {
   padding: 3px;
   width: 34px;
   height: 34px;
   display: flex;
   border-radius: 20px;
   transition: 0.6ms ease;
   justify-content: center;
   align-items: center;
   background-color: var(--primary-600);
   border: 2px solid var(--primary);
   box-shadow: 0 0 5px var(--primary-800);
}
.sun, .moon {
   transition: 0.3ms ease;
   width: 25px;
   height: 25px;
   padding: 2px;
   border-radius: 15px;
//   border: 2px solid var(--primary);
}
.sun {
   background-color: var(--primary-600);
   box-shadow: 0 0 5px var(--primary-800);
   display: none;
}
.sun svg {
   filter: shadow(0 0 5px var(--primary-800));
}
.moon {
//   background-color: var(--primary-800);
}
.moon svg {
   filter: shadow(0 0 5px var(--secondary-200));
}
#lightCheck:checked ~ .lightContainer .sun {
   display: block;
}
#lightCheck:checked ~ .lightContainer .moon {
   display: none;
}

@media (prefers-color-scheme: light) {
  .sun {
    background-color: var(--secondary-800);
    display: block;
  }
  .moon {
    background-color: var(--primary-800);
    display: none;
  }
  #lightCheck:checked ~ .lightContainer .sun {
    display: none;
  }
  #lightCheck:checked ~ .lightContainer .moon {
    display: block;
  }
}
@media (min-width: 800px) {
}
  
}
@media (max-width: 700px) {
    .logolink {
        position: absolute;
        left: 0;
        top: 0;
    }
    .logolink img {
        max-height: 50px;
    }
}
.successMessage p {
  display: block;
  margin-bottom: 10px;
  font-size: 0.9em;
  line-height: 1.1em;
}
#copyright {
  text-align: center;
  width: 100%;
  font-size: 0.7em;
  line-height: 1.4em;
}
.psserror {
  border: 1px solid var(--error-400);
  background-color: var(--error-800);
  padding: 8px 8px 8px 20px;
  width: 90%;
  position: relative;
  color: var(--light);
  margin: 0 auto 25px auto:
}
.psserror:before {
  content:'!';
  position: absolute;
  top: -12px;
  left: -12px;
  width: 24px;
  height: 24px;
  display: grid; 
  place-items: center;
  border-radius: 12px;
  color: var(--light);
  background-color: #681313;
  font-weight: 900;
  
}
input.inputError, .gdprError {
  border-color: var(--error-400) !important;
  color: var(--error-200) !important;
  background-color: var(--error-600);
}
input.inputError ~ label {
  background-color: var(--error-400) !important;
  color: var(--light) !important;
}
#lightCheck {
  display: none;
}
.loginside {
  width: 100%;
  overflow: hidden;
}
.loginsidescroll {
  height: 250px;
  position: relative;
  mask-image: linear-gradient(to right, transparent 0%, var(--primary-600) 10%, var(--primary-600) 90%, transparent 100%);
  -webkit-mask-image: linear-gradient(to right, transparent 0%, var(--primary-600) 10%, var(--primary-600) 90%, transparent 100%);
  overflow: hidden;
  margin-bottom: -90px;
}

.loginsideimg {
  animation: scroll 40s linear infinite;
  white-space: nowrap;
  height: 250px;
  width: 1800px;
}
.manatee, .whale {
    animation-iteration-count: infinite;
    animation-timing-function: ease-in-out;
    width: 250px;
    
    // height: auto;
    margin-left: 200px;
}
.whale {
  animation: floatingw 10s ease infinite, bobbingw 10s ease-in-out infinite;
}
.manatee {
  animation: floatingm 12s ease infinite, bobbingm 12s ease-in-out infinite;
}

@keyframes floatingm {
  from { margin-top: -5px; }
  50%  { margin-top: 15px; }
  to   { margin-top: -5px; }    
}
@keyframes bobbingm {
 from { transform: rotate(0deg); }
 25% { transform: rotate(-5deg); }
 50% { transform: rotate(0deg); }
 75% { transform: rotate(5deg); }
  to { transform: rotate(0deg); }
}
@keyframes floatingw {
    from { margin-top:  30px; }
    50%  { margin-top: -30px; }
    to   { margin-top: 30px; }    
}
@keyframes bobbingw {
 from { transform: rotate(0deg); }
 25% { transform: rotate(4deg); }
 50% { transform: rotate(0deg); }
 75% { transform: rotate(-4deg); }
  to { transform: rotate(0deg); }
}
@keyframes scroll {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-50.6%);
  }
}
.loginsidetxt {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  z-index: 5;
  margin-top: -15px;
}
.loginForm, .inputtext {
  z-index: 5;
}
.lighting, .lighting2 {
  pointer-events: none;
  width: 100%;
  overflow: hidden;
  display: flex;
  height: 100%;
  position: absolute;
  
 // -webkit-mask-image: linear-gradient(transparent 0%, transparent 80%, var(--primary-800) 100%);
}
.formcontainer, .lighting, .lighting2 {
  inset: 0;
}
.light1, .light2, .light3, .light4 {
  height: 100%;
  transform: skew(-10deg);
  background: linear-gradient(to bottom, #aaeeff 0%, var(--primary-200) 50%, transparent 100%);
  pointer-events: none;
}
.light1 {
  margin-left: 180px;
  width: 30px;
  background: linear-gradient(to bottom, #aaddff 0%, var(--primary-200) 50%, transparent 100%);
  mask-image: linear-gradient(#aaddff 0%,transparent 20%, transparent 60%, var(--primary-400) 80%);
  -webkit-mask-image: linear-gradient(#aaddff 0%,transparent 20%, transparent 60%, var(--primary-400) 80%);
  animation: flicker1 7s ease-in-out infinite;
}
.light2 {
  margin-left: 70px;
  width: 90px;
  background-color: var(--primary);
  animation: flicker2 12s ease-in-out infinite;
}
.light3 {
  margin-left: 370px;
  width: 43px;
  background: linear-gradient(to bottom, #aaddff 0%, transparent 25%, transparent 40%, var(--primary) 80%, var(--primary-400) 100%);
  animation: flicker1 9s ease-in-out infinite;
}
.light4 {
  margin-left: 303px;
  width: 26px;
  background-color: var(--primary-400);
  mask-image: linear-gradient(#aaddff 0%,transparent 20%, transparent 60%, var(--primary-400) 80%);
  animation: flicker2 5s ease-in-out infinite;
}
@keyframes flicker1 {
  from { opacity: 0.8 }
  10% { opacity: 0.2 }
  20% { opacity: 0.9 }
  30% { opacity: 0.7 }
  40% { opacity: 0.5 }
  50% { opacity: 0.3 }
  60% { opacity: 0.8 }
  70% { opacity: 0.9 }
  80% { opacity: 0.4 }
  90% { opacity: 0.6 }
  to { opacity: 0.5 }
}
@keyframes flicker2 {
  from { opacity:0 }
  10% { opacity: 0.4 }
  20% { opacity: 0.1 }
  30% { opacity: 0.3 }
  40% { opacity: 0.6 }
  50% { opacity: 0.9 }
  60% { opacity: 0.5 }
  70% { opacity: 0.7 }
  80% { opacity: 0.4 }
  90% { opacity: 0.1 }
  to { opacity: 0 }
}
#human-contactform {
  margin-left: 50px;
}
.hscCheckWrapper {
  width: 280px;
  display: flex;
  flex-direction: row;
  padding: 15px;
}
.hscCheck {
  width: 20px;
  height: 20px;

  background-color: var(--primary);
  border: 2px solid var(--secondary);
}
.hscCheckText {
  width: 200px;
  margin-left: 10px;
}
.clicked {
  clip-path: polygon(14% 44%, 0 65%, 50% 100%, 100% 16%, 80% 0%, 43% 62%);
  transform-origin: bottom left;
  transition: 120ms transform ease-in-out;
  box-shadow: inset 1em 1em var(--secondary);
  background-color: CanvasText;
}
input[type="submit"], .paybutton, #submitl {
    background-color: var(--secondary);
    color: var(--primary-600);
    padding: 10px;
    border-radius: 15px;
    margin: 0 auto;
    border: none;
    cursor: pointer;
    font-weight: 700;
}
input[type="submit"]:focus, #submitl:focus, .paybutton:focus {
    background-color: var(--primary-400);
    color: var(--primary-200);
    text-shadow: -1px -1px 1px var(--dark);
    border: 2px solid var(--secondary-800);
}
.formtxt {
  margin-top: 30px;
}